/*
$echo     FILE:{	LR1_sp6.lex
$echo     A LR1 GRAMMAR FROM
$echo     FULL LR(1) PARSER GENERATION
$echo     BY DAVID SPECTOR
$echo     P. 62 GRAMMAR G2
$echo     SIGPLAN VOL 16 NO 8 AUG 1981
$echo     with interior epsilon
$echo NOT LR! due to epsilon on eog rule ---- my modification test
*/
/@
@** |LR1_sp6| grammar.\fbreak
    A LR1 GRAMMAR FROM
        DAVID SPECTOR
        SIGPLAN VOL 23 NO 12 DEC/88
    with interior epsilon
@/
fsm (fsm-id    "lr1_sp6.lex",fsm-filename lr1_sp6,fsm-namespace NS_lr1_sp6
    ,fsm-class Clr1_sp6_fsm
   ,fsm-version "1.0",fsm-date     "8-oct-96"
   ,fsm-debug   "true",fsm-comments "test out lr1")
@"/usr/local/yacco2/compiler/grammars/yacco2_T_includes.T"
rules
{
  Repi_test(){ 
      -> u Repi_rt_bnd_tst Repi_eog 
    }
    
  Repi_rt_bnd_tst(){ 
      -> Rlr1_sp5 Repi 
    }
    
  Repi(){ 
      -> 
      -> m 
    }
  Repi_eog(){ 
      -> eog
      ->
    }

  Rlr1_sp5(){ 
      -> RS
    }

  RS(){ 
      -> a b RA RE
      -> a b RB x 
      -> a RD
      -> RA z 
      -> RB x 
    }

  RA(){ 
      -> d 
    }

  RB(){ 
      -> d 
    }

  RD(){ 
      -> f RA
      -> f RB x 
      -> f a RD
    }

  RE(){ 
      -> 
      -> z 
    }
}	// end of grammar
